Page MenuHomePhabricator

1.36.0-wmf.32 deployment blockers
Closed, ResolvedPublicRelease

Details

Backup Conductor
dduvall
Release Version
1.36.0-wmf.32
Release Date
Mon, Feb 22, 12:00 AM

2021 week 08 1.36-wmf.32 Changes wmf/1.36.0-wmf.32

This MediaWiki Train Deployment is scheduled for the week of Monday, February 22nd:

Monday February 22ndTuesday, February 23rdWednesday, February 24thThursday, February 25thFriday
Backports only.Branch wmf.32 and deploy to Group 0 Wikis.Deploy wmf.32 to Group 1 Wikis.Deploy wmf.32 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.32 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.36.0-wmf.31
Next: 1.36.0-wmf.33

Event Timeline

Change 666243 had a related patch set uploaded (by DannyS712; owner: trainbranchbot):
[mediawiki/core@wmf/1.36.0-wmf.32] Branch commit for wmf/1.36.0-wmf.32

https://gerrit.wikimedia.org/r/666243

Change 666243 merged by jenkins-bot:
[mediawiki/core@wmf/1.36.0-wmf.32] Branch commit for wmf/1.36.0-wmf.32

https://gerrit.wikimedia.org/r/666243

Change 666443 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] testwikis wikis to 1.36.0-wmf.32 refs T274936

https://gerrit.wikimedia.org/r/666443

Change 666443 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikis wikis to 1.36.0-wmf.32 refs T274936

https://gerrit.wikimedia.org/r/666443

Mentioned in SAL (#wikimedia-operations) [2021-02-23T20:52:06Z] <jhuneidi@deploy1001> Started scap: testwikis wikis to 1.36.0-wmf.32 refs T274936

Mentioned in SAL (#wikimedia-operations) [2021-02-23T21:28:41Z] <jhuneidi@deploy1001> Finished scap: testwikis wikis to 1.36.0-wmf.32 refs T274936 (duration: 36m 52s)

Change 666471 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] group0 wikis to 1.36.0-wmf.32 refs T274936

https://gerrit.wikimedia.org/r/666471

Change 666471 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.36.0-wmf.32 refs T274936

https://gerrit.wikimedia.org/r/666471

Mentioned in SAL (#wikimedia-operations) [2021-02-23T21:38:36Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.36.0-wmf.32 refs T274936

Change 666734 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] group1 wikis to 1.36.0-wmf.32 refs T274936

https://gerrit.wikimedia.org/r/666734

Change 666734 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.36.0-wmf.32 refs T274936

https://gerrit.wikimedia.org/r/666734

Mentioned in SAL (#wikimedia-operations) [2021-02-24T20:15:16Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.36.0-wmf.32 refs T274936

Mentioned in SAL (#wikimedia-operations) [2021-02-24T20:16:27Z] <jhuneidi@deploy1001> Synchronized php: group1 wikis to 1.36.0-wmf.32 refs T274936 (duration: 01m 10s)

Change 667009 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] all wikis to 1.36.0-wmf.32 refs T274936

https://gerrit.wikimedia.org/r/667009

Change 667009 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.36.0-wmf.32 refs T274936

https://gerrit.wikimedia.org/r/667009

Mentioned in SAL (#wikimedia-operations) [2021-02-25T20:35:38Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: all wikis to 1.36.0-wmf.32 refs T274936